 .../board/versatile/versatile.c                    |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)
 mode change 100644 => 100755 uboot/board/versatile/versatile.c

diff --git a/u-boot-1.3.3/board/versatile/versatile.c b/uboot/board/versatile/versatile.c
old mode 100644
new mode 100755
index 9d1a25e..5bf7e85
--- a/u-boot-1.3.3/board/versatile/versatile.c
+++ b/uboot/board/versatile/versatile.c
@@ -41,6 +41,10 @@ void flash__init (void);
 void ether__init (void);
 void peripheral_power_enable (void);
 
+#if defined(CONFIG_RTC_PL031) && defined(CONFIG_CMD_DATE)
+extern int rtc_init(void);
+#endif
+
 #if defined(CONFIG_SHOW_BOOT_PROGRESS)
 void show_boot_progress(int progress)
 {
@@ -84,6 +88,11 @@ int board_init (void)
 
 	flash__init ();
 	ether__init ();
+
+#if defined(CONFIG_RTC_PL031) && defined(CONFIG_CMD_DATE)
+	rtc_init();
+#endif
+
 	return 0;
 }
 
